CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
301 CVE-2019-17041 Overflow 2019-10-07 2019-10-07
0.0
None ??? ??? ??? ??? ??? ???
An issue was discovered in Rsyslog v8.1908.0. contrib/pmaixforwardedfrom/pmaixforwardedfrom.c has a heap overflow in the parser for AIX log messages. The parser tries to locate a log message delimiter (in this case, a space or a colon) but fails to account for strings that do not satisfy this constraint. If the string does not match, then the variable lenMsg will reach the value zero and will skip the sanity check that detects invalid log messages. The message will then be considered valid, and the parser will eat up the nonexistent colon delimiter. In doing so, it will decrement lenMsg, a signed integer, whose value was zero and now becomes minus one. The following step in the parser is to shift left the contents of the message. To do this, it will call memmove with the right pointers to the target and destination strings, but the lenMsg will now be interpreted as a huge value, causing a heap overflow.
302 CVE-2019-16935 79 XSS 2019-09-27 2019-10-09
4.3
None Remote Medium Not required None Partial None
The documentation XML-RPC server in Python through 2.7.16, 3.x through 3.6.9, and 3.7.x through 3.7.4 has XSS via the server_title field. This occurs in Lib/DocXMLRPCServer.py in Python 2.x, and in Lib/xmlrpc/server.py in Python 3.x. If set_server_title is called with untrusted input, arbitrary JavaScript can be delivered to clients that visit the http URL for this server.
303 CVE-2019-16931 79 XSS 2019-10-03 2019-10-09
4.3
None Remote Medium Not required None Partial None
A stored XSS vulnerability in the Visualizer plugin 3.3.0 for WordPress allows an unauthenticated attacker to execute arbitrary JavaScript when an admin or other privileged user edits the chart via the admin dashboard. This occurs because classes/Visualizer/Gutenberg/Block.php registers wp-json/visualizer/v1/update-chart with no access control, and classes/Visualizer/Render/Page/Data.php lacks output sanitization.
304 CVE-2019-16929 2019-10-08 2019-10-08
0.0
None ??? ??? ??? ??? ??? ???
Auth0 auth0.net before 6.5.4 has Incorrect Access Control because IdentityTokenValidator can be accidentally used to validate untrusted ID tokens.
305 CVE-2019-16927 787 2019-09-27 2019-10-01
4.3
None Remote Medium Not required None None Partial
Xpdf 4.01.01 has an out-of-bounds write in the vertProfile part of the TextPage::findGaps function in TextOutputDev.cc, a different vulnerability than CVE-2019-9877.
306 CVE-2019-16926 79 XSS 2019-09-27 2019-10-03
4.3
None Remote Medium Not required None Partial None
Flower 0.9.3 has XSS via a crafted worker name.
307 CVE-2019-16925 79 XSS 2019-09-27 2019-10-03
4.3
None Remote Medium Not required None Partial None
Flower 0.9.3 has XSS via the name parameter in an @app.task call.
308 CVE-2019-16924 319 2019-09-27 2019-10-04
3.3
None Local Network Low Not required Partial None None
The Nulock application 1.5.0 for mobile devices sends a cleartext password over Bluetooth, which allows remote attackers (after sniffing the network) to take control of the lock.
309 CVE-2019-16923 79 XSS 2019-09-27 2019-09-27
4.3
None Remote Medium Not required None Partial None
kkcms 1.3 has jx.php?url= XSS.
310 CVE-2019-16914 79 XSS 2019-09-26 2019-09-27
4.3
None Remote Medium Not required None Partial None
An XSS issue was discovered in pfSense through 2.4.4-p3. In services_captiveportal_mac.php, the username and delmac parameters are displayed without sanitization.
311 CVE-2019-16910 200 +Info 2019-09-26 2019-10-03
2.6
None Remote High Not required Partial None None
Arm Mbed TLS before 2.19.0 and Arm Mbed Crypto before 2.0.0, when deterministic ECDSA is enabled, use an RNG with insufficient entropy for blinding, which might allow an attacker to recover a private key via side-channel attacks if a victim signs the same message many times. (For Mbed TLS, the fix is also available in versions 2.7.12 and 2.16.3.)
312 CVE-2019-16905 Exec Code Overflow Mem. Corr. 2019-10-09 2019-10-09
0.0
None ??? ??? ??? ??? ??? ???
OpenSSH 7.7 through 7.9 and 8.x before 8.1, when compiled with an experimental key type, has a pre-authentication integer overflow if a client or server is configured to use a crafted XMSS key. This leads to memory corruption and remote code execution because of an error in the XMSS key parsing algorithm. NOTE: the XMSS implementation is considered experimental in all released OpenSSH versions, and there is no supported way to enable it when building portable OpenSSH.
313 CVE-2019-16904 79 XSS 2019-09-26 2019-09-27
3.5
None Remote Medium Single system None Partial None
TeamPass 2.1.27.36 allows Stored XSS by setting a crafted password for an item in a common available folder or sharing the item with an admin. (The crafted password is exploitable when viewing the change history of the item or tapping on the item.)
314 CVE-2019-16890 79 XSS 2019-09-25 2019-09-26
3.5
None Remote Medium Single system None Partial None
Halo 1.1.0 has XSS via a crafted authorUrl in JSON data to api/content/posts/comments.
315 CVE-2019-16865 770 2019-10-04 2019-10-10
4.3
None Remote Medium Not required None None Partial
An issue was discovered in Pillow before 6.2.0. When reading specially crafted invalid image files, the library can either allocate very large amounts of memory or take an extremely long period of time to process the image.
316 CVE-2019-16751 79 XSS 2019-09-24 2019-09-25
4.3
None Remote Medium Not required None Partial None
An issue was discovered in Devise Token Auth through 1.1.2. The omniauth failure endpoint is vulnerable to Reflected Cross Site Scripting (XSS) through the message parameter. Unauthenticated attackers can craft a URL that executes a malicious JavaScript payload in the victim's browser. This affects the fallback_render method in the omniauth callbacks controller.
317 CVE-2019-16728 79 XSS 2019-09-24 2019-09-24
4.3
None Remote Medium Not required None Partial None
DOMPurify before 2.0.1 allows XSS because of innerHTML mutation XSS (mXSS) for an SVG element or a MATH element, as demonstrated by Chrome and Safari.
318 CVE-2019-16725 79 XSS 2019-09-24 2019-09-25
4.3
None Remote Medium Not required None Partial None
In Joomla! 3.x before 3.9.12, inadequate escaping allowed XSS attacks using the logo parameter of the default templates.
319 CVE-2019-16723 639 Bypass 2019-09-23 2019-09-23
4.0
None Remote Low Single system Partial None None
In Cacti through 1.2.6, authenticated users may bypass authorization checks (for viewing a graph) via a direct graph_json.php request with a modified local_graph_id parameter.
320 CVE-2019-16719 352 XSS CSRF 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None Partial None
WTCMS 1.0 allows index.php?g=admin&m=index&a=index CSRF with resultant XSS.
321 CVE-2019-16713 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-43 has a memory leak in coders/dot.c, as demonstrated by PingImage in MagickCore/constitute.c.
322 CVE-2019-16712 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-43 has a memory leak in Huffman2DEncodeImage in coders/ps3.c, as demonstrated by WritePS3Image.
323 CVE-2019-16711 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-40 has a memory leak in Huffman2DEncodeImage in coders/ps2.c.
324 CVE-2019-16710 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-35 has a memory leak in coders/dot.c, as demonstrated by AcquireMagickMemory in MagickCore/memory.c.
325 CVE-2019-16709 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-35 has a memory leak in coders/dps.c, as demonstrated by XCreateImage.
326 CVE-2019-16708 772 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
ImageMagick 7.0.8-35 has a memory leak in magick/xwindow.c, related to XCreateImage.
327 CVE-2019-16707 119 Overflow 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None None Partial
Hunspell 1.7.0 has an invalid read operation in SuggestMgr::leftcommonsubstring in suggestmgr.cxx.
328 CVE-2019-16704 79 XSS 2019-09-23 2019-09-23
3.5
None Remote Medium Single system None Partial None
admin/infoclass_update.php in PHPMyWind 5.6 has stored XSS.
329 CVE-2019-16703 79 XSS 2019-09-23 2019-09-23
4.3
None Remote Medium Not required None Partial None
admin/infolist_add.php in PHPMyWind 5.6 has stored XSS.
330 CVE-2019-16688 79 XSS 2019-09-27 2019-09-30
3.5
None Remote Medium Single system None Partial None
Dolibarr 9.0.5 has stored XSS in an Email Template section to mails_templates.php. A user with no privileges can inject script to attack the admin. (This stored XSS can affect all types of user privilege from Admin to users with no permissions.)
331 CVE-2019-16687 79 XSS 2019-09-27 2019-09-30
3.5
None Remote Medium Single system None Partial None
Dolibarr 9.0.5 has stored XSS in a User Profile in a Signature section to card.php. A user with the "Create/modify other users, groups and permissions" privilege can inject script and can also achieve privilege escalation.
332 CVE-2019-16686 79 XSS 2019-09-27 2019-09-30
3.5
None Remote Medium Single system None Partial None
Dolibarr 9.0.5 has stored XSS in a User Note section to note.php. A user with no privileges can inject script to attack the admin.
333 CVE-2019-16685 79 XSS 2019-09-27 2019-10-01
3.5
None Remote Medium Single system None Partial None
Dolibarr 9.0.5 has stored XSS vulnerability via a User Group Description section to card.php. A user with the "Create/modify other users, groups and permissions" privilege can inject script and can also achieve privilege escalation.
334 CVE-2019-16684 79 XSS 2019-09-30 2019-10-04
3.5
None Remote Medium Single system None Partial None
An issue was discovered in the image-manager in Xoops 2.5.10. When any image with a JavaScript payload as its name is hovered over in the list or in the Edit page, the payload executes.
335 CVE-2019-16683 79 XSS 2019-09-30 2019-10-04
3.5
None Remote Medium Single system None Partial None
An issue was discovered in the image-manager in Xoops 2.5.10. When the breadcrumb showing the category name is hovered over while editing any image, a JavaScript payload executes.
336 CVE-2019-16681 79 XSS 2019-09-21 2019-09-24
2.6
None Remote High Not required None Partial None
The Traveloka application 3.14.0 for Android exports com.traveloka.android.activity.common.WebViewActivity, leading to the opening of arbitrary URLs, which can inject deceptive content into the UI. (When in physical possession of the device, opening local files is also possible.) NOTE: As of 2019-09-23, the vendor has not agreed that this issue has serious impact. The vendor states that the issue is not critical because it does not allow Elevation of Privilege, Sensitive Data Leakage, or any critical unauthorized activity from a malicious user. The vendor also states that a victim must first install a malicious APK to their application.
337 CVE-2019-16680 22 Dir. Trav. 2019-09-21 2019-09-25
4.3
None Remote Medium Not required None Partial None
An issue was discovered in GNOME file-roller before 3.29.91. It allows a single ./../ path traversal via a filename contained in a TAR archive, possibly overwriting a file during extraction.
338 CVE-2019-16679 22 Dir. Trav. File Inclusion 2019-09-21 2019-09-23
4.0
None Remote Low Single system Partial None None
Gila CMS before 1.11.1 allows admin/fm/?f=../ directory traversal, leading to Local File Inclusion.
339 CVE-2019-16678 352 DoS CSRF 2019-09-21 2019-09-23
4.3
None Remote Medium Not required None None Partial
admin/urlrule/add.html in YzmCMS 5.3 allows CSRF with a resultant denial of service by adding a superseding route.
340 CVE-2019-16665 79 XSS 2019-09-21 2019-09-23
4.3
None Remote Medium Not required None Partial None
An issue was discovered in ThinkSAAS 2.91. There is XSS via the content to the index.php?app=group&ac=comment&ts=do&js=1 URI, as demonstrated by a crafted SVG document in the SRC attribute of an EMBED element.
341 CVE-2019-16664 79 XSS 2019-09-21 2019-09-23
3.5
None Remote Medium Single system None Partial None
An issue was discovered in ThinkSAAS 2.91. There is XSS via the index.php?app=group&ac=create&ts=do groupname parameter.
342 CVE-2019-16661 79 XSS 2019-09-21 2019-09-23
3.5
None Remote Medium Single system None Partial None
Ogma CMS 0.5 has XSS via creation of a new blog.
343 CVE-2019-16657 79 XSS 2019-09-21 2019-09-23
4.3
None Remote Medium Not required None Partial None
TuziCMS 2.0.6 has XSS via the PATH_INFO to a group URI, as demonstrated by index.php/article/group/id/2/.
344 CVE-2019-16643 79 XSS 2019-09-20 2019-09-20
3.5
None Remote Medium Single system None Partial None
An issue was discovered in ZrLog 2.1.1. There is a Stored XSS vulnerability in the article_edit area.
345 CVE-2019-16534 79 XSS 2019-09-20 2019-09-25
4.3
None Remote Medium Not required None Partial None
On DrayTek Vigor2925 devices with firmware 3.8.4.3, XSS exists via a crafted WAN name on the General Setup screen. NOTE: this is an end-of-life product. This has been solved in v3.8.8.2 and later release firmware
346 CVE-2019-16533 79 XSS 2019-09-20 2019-09-25
4.3
None Remote Medium Not required None Partial None
On DrayTek Vigor2925 devices with firmware 3.8.4.3, Incorrect Access Control exists in loginset.htm, and can be used to trigger XSS. NOTE: this is an end-of-life product. This has been solved in v3.8.8.2 and later release firmware.
347 CVE-2019-16525 79 XSS 2019-09-19 2019-09-20
4.3
None Remote Medium Not required None Partial None
An XSS issue was discovered in the checklist plugin before 1.1.9 for WordPress. The fill parameter is not correctly filtered in the checklist-icon.php file, and it is possible to inject JavaScript code.
348 CVE-2019-16524 79 XSS 2019-09-26 2019-10-01
3.5
None Remote Medium Single system None Partial None
The easy-fancybox plugin before 1.8.18 for WordPress (aka Easy FancyBox) is susceptible to Stored XSS in the Settings Menu inc/class-easyfancybox.php due to improper encoding of arbitrarily submitted settings parameters. This occurs because there is no inline styles output filter.
349 CVE-2019-16519 Exec Code 2019-10-14 2019-10-14
0.0
None ??? ??? ??? ??? ??? ???
ESET Cyber Security 6.7.900.0 for macOS allows a local attacker to execute unauthorized commands as root by abusing an undocumented feature in scheduled tasks.
350 CVE-2019-16518 668 2019-09-23 2019-09-23
3.3
None Local Network Low Not required None Partial None
An issue was discovered on Swell Kit Mod devices that use the Vandy Vape platform. An attacker may be able to trigger an unintended temperature in the victim's mouth and throat via Bluetooth Low Energy (BLE) packets that specify large power or voltage values.
Total number of vulnerabilities : 37928   Page : 1 2 3 4 5 6 7 (This Page)8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.